Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am trying to save an SSIS package on a sql server running 2005. The issue I have is that I am using SQL Server Management Studio 2008 on my local machine to do this and it won't let me save the package in on the server because its not compatible with 2008. Is their some kind of compatibility option in management studio that I don't know about?

share|improve this question
add comment

2 Answers

No, you need to use the proper version. They both co-habitate on one computer nicely. SSIS 2008 is probably using a different .net framework (3.5?).

share|improve this answer
add comment

This isn't going to work. As SAM mentioned, SSIS 2008 is not backward compatible in SSIS 2005. SSIS 2008 packages require SSIS 2008 to be installed on the system in question. It can and does co-exist with SSIS 2005. The only catch is to watch your paths with respect to running from the command line, etc., as likely your SSSIS 2005 pathing is first in your PATH statement, meaning the SSIS 2005 executables will be executed and if it's a SSIS 2008 package will fail. We have systems where both versions of SSIS are installed and we've had to explicitly specify pathing on those systems.

Your other option is to install SQL Server 2005 SSIS and BIDS on your system (meaning the VS2005 shell will be installed as well) and rebuild your package in 2005 and then deploy it. VS2005 generally behaves just fine installed side-by-side with VS2008.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.